imgix_flutter 0.1.0

  • README.md
  • CHANGELOG.md
  • Example
  • Installing
  • Versions
  • 50

Imgix Flutter #

An Imgix Flutter wrapper to embed Imgix URLs with options easily. Uses imgix.

Install #

Add this to your package's pubspec.yaml file:

dependencies:
  imgix_flutter: ^0.1.0

Usage #

API Docs

import 'package:imgix_flutter/imgix_flutter.dart';
import 'package:imgix/imgix.dart';
import 'package:flutter/material.dart';

main() {
  final url = "https://test.imgix.net/test.png";
  final options = ImgixOptions(
    width: 100,
    height: 200,
    format: ImgixFormat.jpg,
    quality: 75,
    auto: [ImgixAuto.compress],
  );

  runApp(MaterialApp(
    home: Scaffold(
      body: Center(
        child: ImgixImage(
          url,
          options: options,
        ),
      ),
    ),
  ));
}

Features and bugs #

Some options are missing, please report them to imgix's issue tracker.

Please file feature requests and bugs at the issue tracker.

[0.1.0] - 2018-12-11

  • Initial release

example/imgix_flutter_example.dart

import 'package:imgix_flutter/imgix_flutter.dart';
import 'package:imgix/imgix.dart';
import 'package:flutter/material.dart';

main() {
  final url = "https://test.imgix.net/test.png";
  final options = ImgixOptions(
    width: 100,
    height: 200,
    format: ImgixFormat.jpg,
    quality: 75,
    auto: [ImgixAuto.compress],
  );

  runApp(MaterialApp(
    home: Scaffold(
      body: Center(
        child: ImgixImage(
          url,
          options: options,
        ),
      ),
    ),
  ));
}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  imgix_flutter: ^0.1.0

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter packages get

Alternatively, your editor might support flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:imgix_flutter/imgix_flutter.dart';
  
Version Uploaded Documentation Archive
0.1.1 Dec 14, 2018 Go to the documentation of imgix_flutter 0.1.1 Download imgix_flutter 0.1.1 archive
0.1.0 Dec 11, 2018 Go to the documentation of imgix_flutter 0.1.0 Download imgix_flutter 0.1.0 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
0
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
50
Learn more about scoring.

We analyzed this package on May 8, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.3.0
  • pana: 0.12.15
  • Flutter: 1.5.8

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0-dev.68.0 <3.0.0
flutter 0.0.0
imgix ^0.1.1 0.1.2 0.2.0
Transitive dependencies
collection 1.14.11
meta 1.1.6 1.1.7
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8